Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_read_outputkeys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_read_outputkeys.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lmdz_cosp_read_outputkeys.F90	(revision 5160)
@@ -897,6 +897,6 @@
 
   if (i.gt.107) then
-     print *, 'COSP_IO: wrong number of output diagnostics'
-     print *, i,107
+     PRINT *, 'COSP_IO: wrong number of output diagnostics'
+     PRINT *, i,107
      stop
   endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_buoy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_buoy.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_buoy.F90	(revision 5160)
@@ -44,5 +44,5 @@
 
 
-  ! print *,' Ale+cin ',ale(1)+cin(1)
+  ! PRINT *,' Ale+cin ',ale(1)+cin(1)
   ! --------------------------------------------------------------
   ! Recompute buoyancies
@@ -102,5 +102,5 @@
       IF (ale(il)+cin(il)>0. .AND. ok(il)) THEN
         IF (k>icb(il) .AND. k<=inb(il)) THEN
-          ! c         print *,'k,p(il,k),plcl(il)-200. ',
+          ! c         PRINT *,'k,p(il,k),plcl(il)-200. ',
           ! k,p(il,k),plcl(il)-200.
           IF (p(il,k)>plcl(il)-200.) THEN
@@ -116,5 +116,5 @@
   END DO
 
-  ! print *,' ==cv3_buoy== bll(1),bmx(1),icb(1),kmx(1) '
+  ! PRINT *,' ==cv3_buoy== bll(1),bmx(1),icb(1),kmx(1) '
   ! $       ,bll(1),bmx(1),icb(1),kmx(1)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_enthalpmix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_enthalpmix.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_enthalpmix.F90	(revision 5160)
@@ -61,5 +61,5 @@
 
 
-  !!  print *,' ->cv3_vertmix, plim1,plim2 ', plim1,plim2   !jyg
+  !!  PRINT *,' ->cv3_vertmix, plim1,plim2 ', plim1,plim2   !jyg
   plim2p(:) = min(plim2(:), plim1(:) - dpmin)
   j1(:) = nd
@@ -102,5 +102,5 @@
   END DO
 
-  !!  print *,'cv3_vertmix, j1,j2,coef ', j1,j2,coef  !jyg
+  !!  PRINT *,'cv3_vertmix, j1,j2,coef ', j1,j2,coef  !jyg
 
   DO j = 1, nd
@@ -115,5 +115,5 @@
         dpw(i) = dpw(i) + wi(i, j)
 
-        !!  print *,'cv3_vertmix, j, wi(1,j),dpw ', j, wi(1,j),dpw  !jyg
+        !!  PRINT *,'cv3_vertmix, j, wi(1,j),dpw ', j, wi(1,j),dpw  !jyg
 
       END IF
@@ -142,5 +142,5 @@
 
 
-  !!  print *,'cv3_vertmix, rdcp ', rdcp  !jyg
+  !!  PRINT *,'cv3_vertmix, rdcp ', rdcp  !jyg
 
   DO j = 1, nd
@@ -205,5 +205,5 @@
   END DO
 
-  !!  print *,' cv3_vertmix->'  !jyg
+  !!  PRINT *,' cv3_vertmix->'  !jyg
 
 END SUBROUTINE cv3_enthalpmix
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_estatmix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_estatmix.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_estatmix.F90	(revision 5160)
@@ -65,5 +65,5 @@
 
 
-!!  print *,' ->cv3_vertmix, plim1,plim2 ', plim1,plim2   !jyg
+!!  PRINT *,' ->cv3_vertmix, plim1,plim2 ', plim1,plim2   !jyg
   plim2p(:) = min(plim2(:),plim1(:)-dpmin)
   j1(:)=nd
@@ -103,5 +103,5 @@
   END DO
 
-!!  print *,'cv3_vertmix, j1,j2,coef ', j1,j2,coef  !jyg
+!!  PRINT *,'cv3_vertmix, j1,j2,coef ', j1,j2,coef  !jyg
 
   DO j = 1, nd
@@ -116,5 +116,5 @@
         dpw(i) = dpw(i) + wi(i, j)
 
-!!  print *,'cv3_vertmix, j, wi(1,j),dpw ', j, wi(1,j),dpw  !jyg
+!!  PRINT *,'cv3_vertmix, j, wi(1,j),dpw ', j, wi(1,j),dpw  !jyg
 
       END IF
@@ -143,5 +143,5 @@
 
 
-!!  print *,'cv3_vertmix, rdcp ', rdcp  !jyg
+!!  PRINT *,'cv3_vertmix, rdcp ', rdcp  !jyg
 
   DO i = 1, len
@@ -192,5 +192,5 @@
   END DO
 
-!!  print *,' cv3_vertmix->'  !jyg
+!!  PRINT *,' cv3_vertmix->'  !jyg
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5160)
@@ -201,6 +201,6 @@
   INTEGER il
 
-  !    print *,'cv3_incrcount : noconv_stop ',noconv_stop
-  !    print *,'cv3_incrcount in, sig(1,nd) ',sig(1,nd)
+  !    PRINT *,'cv3_incrcount : noconv_stop ',noconv_stop
+  !    PRINT *,'cv3_incrcount in, sig(1,nd) ',sig(1,nd)
   IF(ok_convstop) THEN
     DO il = 1, len
@@ -214,5 +214,5 @@
     END DO
   ENDIF  ! (ok_convstop)
-  !    print *,'cv3_incrcount out, sig(1,nd) ',sig(1,nd)
+  !    PRINT *,'cv3_incrcount out, sig(1,nd) ',sig(1,nd)
 
 END SUBROUTINE cv3_incrcount
@@ -277,5 +277,5 @@
               (p(i, k - 1) - p(i, k)) / ph(i, k)        !convect3
 
-      ! c        print *,' gz(',k,')',gz(i,k),' tvx',tvx,' tvy ',tvy
+      ! c        PRINT *,' gz(',k,')',gz(i,k),' tvx',tvx,' tvy ',tvy
 
       ! ori         gz(i,k)=gz(i,k-1)+hrd*(tv(i,k-1)+tv(i,k))
@@ -534,5 +534,5 @@
   ENDIF
   IF (prt_level >= 10) THEN
-    print *, 'cv3_feed : iflag(1), pfeed(1), plcl(1), wghti(1,k) ', &
+    PRINT *, 'cv3_feed : iflag(1), pfeed(1), plcl(1), wghti(1,k) ', &
             iflag(1), pfeed(1), plcl(1), (wghti(1, k), k = 1, 10)
   ENDIF
@@ -1207,5 +1207,5 @@
 
   IF (prt_level >= 10) THEN
-    print *, 'cv3_undilute2.0. icvflag_Tpa, t(1,k), q(1,k), qs(1,k) ', &
+    PRINT *, 'cv3_undilute2.0. icvflag_Tpa, t(1,k), q(1,k), qs(1,k) ', &
             icvflag_Tpa, (k, t(1, k), q(1, k), qs(1, k), k = 1, nl)
   ENDIF
@@ -1378,6 +1378,6 @@
             ENDIF ! (tg .gt. Tx)
 
-            !!     print *,' j, k, Um, U, Ux, aa, bb, discr, dd, ddelta ', j, k, Um, U, Ux, aa, bb, discr, dd, ddelta
-            !!     print *,' j, k, ah0(i), ahg, tg, qg, tp(i,k), ff ', j, k, ah0(i), ahg, tg, qg, tp(i,k), ff
+            !!     PRINT *,' j, k, Um, U, Ux, aa, bb, discr, dd, ddelta ', j, k, Um, U, Ux, aa, bb, discr, dd, ddelta
+            !!     PRINT *,' j, k, ah0(i), ahg, tg, qg, tp(i,k), ff ', j, k, ah0(i), ahg, tg, qg, tp(i,k), ff
           END IF ! (k>=(icbs(i)+1))
         END DO ! i = 1, ncum
@@ -1439,5 +1439,5 @@
             Tp(i, k) = tg + (ah0(i) - ahg) / &
                     (cpd + (cl - cpd) * qta(i, k - 1) + (lv(i, k) + frac(i, k) * lf(i, k)) * dqgdT)
-            !!   print *,'undilute2 iterations k, Tp(i,k), ah0(i), ahg ', &
+            !!   PRINT *,'undilute2 iterations k, Tp(i,k), ah0(i), ahg ', &
             !!                                 k, Tp(i,k), ah0(i), ahg
           END IF ! (k>=(icbs(i)+1))
@@ -1736,5 +1736,5 @@
   !   =========================================================================
   IF (prt_level >= 10) THEN
-    print *, 'cv3_undilute2.1. tp(1,k), tvp(1,k) ', &
+    PRINT *, 'cv3_undilute2.1. tp(1,k), tvp(1,k) ', &
             (k, tp(1, k), tvp(1, k), k = 1, nl)
   ENDIF
@@ -2755,5 +2755,5 @@
 
   ! ------------------------------------------------------
-  IF (prt_level >= 10) print *, ' ->cv3_unsat, iflag(1) ', iflag(1)
+  IF (prt_level >= 10) PRINT *, ' ->cv3_unsat, iflag(1) ', iflag(1)
 
   smallestreal = tiny(smallestreal)
@@ -3040,5 +3040,5 @@
         !    water(il,i)=revap*revap
         !    prec(il,i)=revap*revap
-        !!        print *,' i,b6,c6,revap,evap(il,i),water(il,i),wdtrain(il) ', &
+        !!        PRINT *,' i,b6,c6,revap,evap(il,i),water(il,i),wdtrain(il) ', &
         !!                 i,b6,c6,revap,evap(il,i),water(il,i),wdtrain(il)
         !!---end jyg---
@@ -3062,7 +3062,7 @@
           b6 = bfac * 50. * sigd(il) * (ph(il, i) - ph(il, i + 1)) * sigt * afac1
           c6 = prec(il, i + 1) + 0.5 * bfac * wdtrain(il)
-          ! print *,'bfac,sigd(il),sigt,afac1 ',bfac,sigd(il),sigt,afac1
-          ! print *,'prec(il,i+1),wdtrain(il) ',prec(il,i+1),wdtrain(il)
-          ! print *,'b6,c6,b6*b6+4.*c6 ',b6,c6,b6*b6+4.*c6
+          ! PRINT *,'bfac,sigd(il),sigt,afac1 ',bfac,sigd(il),sigt,afac1
+          ! PRINT *,'prec(il,i+1),wdtrain(il) ',prec(il,i+1),wdtrain(il)
+          ! PRINT *,'b6,c6,b6*b6+4.*c6 ',b6,c6,b6*b6+4.*c6
           IF (c6>b6 * b6 + 1.E-20) THEN
             revap = 2. * c6 / (b6 + sqrt(b6 * b6 + 4. * c6))
@@ -3086,5 +3086,5 @@
           !JYG---   Dans tous les cas, evaporation = [tt ce qui entre dans la couche i]
           ! moins [tt ce qui sort de la couche i]
-          ! print *, 'evap avec ice'
+          ! PRINT *, 'evap avec ice'
           evap(il, i) = (wdtrain(il) + sigd(il) * wt(il, i) * (prec(il, i + 1) - prec(il, i))) / &
                   (sigd(il) * (ph(il, i) - ph(il, i + 1)) * 100.)
@@ -3150,5 +3150,5 @@
             water(il, i) = 0.
           END IF
-          ! print *, 'evap sans ice'
+          ! PRINT *, 'evap sans ice'
           evap(il, i) = (wdtrain(il) + sigd(il) * wt(il, i) * (water(il, i + 1) - water(il, i))) / &
                   (sigd(il) * (ph(il, i) - ph(il, i + 1)) * 100.)
@@ -4054,5 +4054,5 @@
     !-----------------------------------------------------------
 
-    !!   print *,'yield, i, amp1, ad', i, amp1(1), ad(1)
+    !!   PRINT *,'yield, i, amp1, ad', i, amp1(1), ad(1)
 
     DO il = 1, ncum
@@ -4511,5 +4511,5 @@
 
   IF (prt_level >= 5) THEN
-    print *, ' CV3_YIELD : alpha_qpos ', alpha_qpos(1)
+    PRINT *, ' CV3_YIELD : alpha_qpos ', alpha_qpos(1)
   ENDIF
 
@@ -4678,5 +4678,5 @@
             END IF
           END IF
-          ! c        print *,'cbmf',il,i,k,cbmf(il),wghti(il,k)
+          ! c        PRINT *,'cbmf',il,i,k,cbmf(il),wghti(il,k)
         END DO
       END DO
@@ -4691,5 +4691,5 @@
             dnwd(il, i) = dnwd(il, i) + dn1(il, k, i)
           END IF
-          ! c         print *,'upwd',il,i,k,inb(il),upwd(il,i),m(il,k),up1(il,k,i)
+          ! c         PRINT *,'upwd',il,i,k,inb(il),upwd(il,i),m(il,k),up1(il,k,i)
         END DO
       END DO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p1_closure.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p1_closure.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p1_closure.F90	(revision 5160)
@@ -95,5 +95,5 @@
   CHARACTER (LEN=80) :: abort_message
 
-  ! print *,' -> cv3p1_closure, Ale ',ale(1)
+  ! PRINT *,' -> cv3p1_closure, Ale ',ale(1)
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90	(revision 5160)
@@ -107,5 +107,5 @@
 !$OMP THREADPRIVATE(igout)
 
- IF (prt_level>=20) print *,' -> cv3p2_closure, Ale ',ale(igout)
+ IF (prt_level>=20) PRINT *,' -> cv3p2_closure, Ale ',ale(igout)
 
 
@@ -507,6 +507,6 @@
 
   IF (prt_level >= 20) THEN
-    print *,'cv3p2_closure: dtmin ', (k, dtmin(igout,k), k=1,nl)
-    print *,'cv3p2_closure: dtminmax ', dtminmax(igout)
+    PRINT *,'cv3p2_closure: dtmin ', (k, dtmin(igout,k), k=1,nl)
+    PRINT *,'cv3p2_closure: dtminmax ', dtminmax(igout)
   ENDIF
 
@@ -838,5 +838,5 @@
 
   IF (prt_level >= 10) THEN
-   print *,'cv3p2_closure: iflag ',iflag(igout)
+   PRINT *,'cv3p2_closure: iflag ',iflag(igout)
   ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90	(revision 5160)
@@ -222,5 +222,5 @@
           ELSE IF (j > i) THEN
             IF (prt_level >= 10) THEN
-              print *,'cv3p_mixing i, j, Sij given by the no-precip eq. ', i, j, Sij(il,i,j)
+              PRINT *,'cv3p_mixing i, j, Sij given by the no-precip eq. ', i, j, Sij(il,i,j)
             ENDIF
           END IF ! new
@@ -235,7 +235,7 @@
 !jygdebug<
     IF (prt_level >= 10) THEN
-      print *,'cv3p_mixing i, nent(i), icb, inb ',i, nent(igout,i), icb(igout), inb(igout)
+      PRINT *,'cv3p_mixing i, nent(i), icb, inb ',i, nent(igout,i), icb(igout), inb(igout)
       IF (nent(igout,i) > 0) THEN
-        print *,'i,(j,Sij(i,j),j=icb-1,inb) ',i,(j,Sij(igout,i,j),j=icb(igout)-1,inb(igout))
+        PRINT *,'i,(j,Sij(i,j),j=icb-1,inb) ',i,(j,Sij(igout,i,j),j=icb(igout)-1,inb(igout))
       ENDIF
     ENDIF
@@ -550,5 +550,5 @@
             END IF
 
-! print *,h(il,j)-hent(il,i,j),LV(il,j)*rs(il,j)/(cpd*rrv*t(il,j)*
+! PRINT *,h(il,j)-hent(il,i,j),LV(il,j)*rs(il,j)/(cpd*rrv*t(il,j)*
 ! :         t(il,j))
 
@@ -567,5 +567,5 @@
 !IM 301008 end
 
-! print *,'mix : i,j,hent(il,i,j),Sigij(il,i,j) ',
+! PRINT *,'mix : i,j,hent(il,i,j),Sigij(il,i,j) ',
 ! :               i,j,hent(il,i,j),Sigij(il,i,j)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv_driver.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv_driver.F90	(revision 5160)
@@ -354,5 +354,5 @@
   ! --- SET CONSTANTS AND PARAMETERS
   ! -------------------------------------------------------------------
-  ! print *, '-> cv_driver'      !jyg
+  ! PRINT *, '-> cv_driver'      !jyg
   ! -- set simulation flags:
   ! (common cvflag)
@@ -680,5 +680,5 @@
   END IF ! ncum>0
 
-  ! print *, 'fin cv_driver ->'      !jyg
+  ! PRINT *, 'fin cv_driver ->'      !jyg
 
 END SUBROUTINE cv_driver
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90	(revision 5160)
@@ -556,6 +556,6 @@
 
 
-! print *, 't1, t1_wake ',(k,t1(1,k),t1_wake(1,k),k=1,nd)
-! print *, 'q1, q1_wake ',(k,q1(1,k),q1_wake(1,k),k=1,nd)
+! PRINT *, 't1, t1_wake ',(k,t1(1,k),t1_wake(1,k),k=1,nd)
+! PRINT *, 'q1, q1_wake ',(k,q1(1,k),q1_wake(1,k),k=1,nd)
 
 ! -------------------------------------------------------------------
@@ -775,5 +775,5 @@
   END IF
 
-! print *, 'cv3_feed-> iflag1, plcl1 ',iflag1(1),plcl1(1)
+! PRINT *, 'cv3_feed-> iflag1, plcl1 ',iflag1(1),plcl1(1)
 
 ! --------------------------------------------------------------------
@@ -804,5 +804,5 @@
 ! -------------------------------------------------------------------
 
-! print *,' avant triggering, iflag_con ',iflag_con
+! PRINT *,' avant triggering, iflag_con ',iflag_con
 
   IF (iflag_con==3) THEN
@@ -1035,5 +1035,5 @@
     END IF
 
-! print *,'cv_closure-> cape ',cape(1)
+! PRINT *,'cv_closure-> cape ',cape(1)
 
 ! -------------------------------------------------------------------
@@ -1128,6 +1128,6 @@
     END IF !(debut) THEN
 
-! print *,'cv_unsat-> mp ',mp
-! print *,'cv_unsat-> water ',water
+! PRINT *,'cv_unsat-> mp ',mp
+! PRINT *,'cv_unsat-> water ',water
 ! -------------------------------------------------------------------
 ! --- YIELD
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90	(revision 5160)
@@ -692,5 +692,5 @@
 !        ENDDO
 !      ENDDO
-!       IF(it.EQ.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
+!       IF(it.EQ.3) PRINT *,'it',it,'conserv ',conserv,'conservMA ',conservMA
 
 END SUBROUTINE cvltr
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90	(revision 5160)
@@ -143,6 +143,6 @@
   END DO
 
-!!  print *,'it, qfeed(1,it), x(1,1,it) ', it, qfeed(1,it), x(1,1,it)  !jyg
-!!  print *,'wght_cvfd ', (j, wght_cvfd(1,j), j=1,5)                     !jyg
+!!  PRINT *,'it, qfeed(1,it), x(1,1,it) ', it, qfeed(1,it), x(1,1,it)  !jyg
+!!  PRINT *,'wght_cvfd ', (j, wght_cvfd(1,j), j=1,5)                     !jyg
 
   DO k=1,klev
@@ -197,5 +197,5 @@
         ENDDO
       ENDDO
-!!      print *,'it',it,'cvltr_noscav conserv, smfd, smfu, smfa, smfp ',conserv,  &
+!!      PRINT *,'it',it,'cvltr_noscav conserv, smfd, smfu, smfa, smfp ',conserv,  &
 !!               smfd, smfu, smfa, smfp
      
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90	(revision 5160)
@@ -17,4 +17,6 @@
   USE lmdz_YOECUMF
   USE lmdz_yomcst
+  USE lmdz_chem, ONLY: idms, iso2, iso4, ih2s, idmso, imsa, ih2o2, &
+          n_avogadro, masse_s, masse_so4, rho_water, rho_ice
 
   IMPLICIT NONE 
@@ -24,6 +26,4 @@
   ! modifiee par R Pilon : lessivage des traceurs / KE
   !=====================================================================
-
-  include "chem.h"
 
   ! Entree
@@ -704,5 +704,5 @@
   !        ENDDO
   !      ENDDO
-  !       IF(it.EQ.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
+  !       IF(it.EQ.3) PRINT *,'it',it,'conserv ',conserv,'conservMA ',conservMA
 
 END SUBROUTINE cvltr_scav
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90	(revision 5160)
@@ -17,4 +17,6 @@
   USE lmdz_YOECUMF
   USE lmdz_yomcst
+  USE lmdz_chem, ONLY: idms, iso2, iso4, ih2s, idmso, imsa, ih2o2, &
+          n_avogadro, masse_s, masse_so4, rho_water, rho_ice
 
   IMPLICIT NONE 
@@ -24,6 +26,4 @@
 ! modifiee par R Pilon : lessivage des traceurs / KE
 !=====================================================================
-
-  include "chem.h"
 
 ! Entree
@@ -309,5 +309,5 @@
 ! JE SPLA: Calc of ccntrAA_coef,ccntrENV_coef, coefcoli for SPLA aerosols and
 ! precursors. From SPLA code inscav_spl.F 
-!print *,'Using SPLA values for cvltr_spl ccntr and coefcoli params'
+!PRINT *,'Using SPLA values for cvltr_spl ccntr and coefcoli params'
 
 
@@ -837,5 +837,5 @@
 !        ENDDO
 !      ENDDO
-!       IF(it.EQ.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
+!       IF(it.EQ.3) PRINT *,'it',it,'conserv ',conserv,'conservMA ',conservMA
 
 END SUBROUTINE cvltr_spl
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltrorig.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltrorig.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltrorig.F90	(revision 5160)
@@ -163,5 +163,5 @@
 !        ENDDO
 !      ENDDO
-!      print *,'it',it,'cvltrorig conserv',conserv
+!      PRINT *,'it',it,'cvltrorig conserv',conserv
      
 END SUBROUTINE cvltrorig
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 5160)
@@ -171,5 +171,5 @@
            tend_rayo=1
            dt_cooling(l) = dtrad_mod_cas(l)
-!          print *,'dt_cooling=',dt_cooling(l)
+!          PRINT *,'dt_cooling=',dt_cooling(l)
         else
            dt_cooling(l) = 0.0
@@ -181,9 +181,9 @@
        fsens=-1.*sens_prof_cas
        flat=-1.*lat_prof_cas
-       print *,'1D_interp: sens,flat',fsens,flat
+       PRINT *,'1D_interp: sens,flat',fsens,flat
       ENDIF
 
       IF (ok_prescr_ust) THEN
        ust=ustar_prof_cas
-       print *,'ust=',ust
+       PRINT *,'ust=',ust
       ENDIF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 5160)
@@ -45,5 +45,5 @@
 
       DO l = 1, nlev_cas
-      print *,'apres 1ere interp: plev_cas, plev_prof_cas=',l,plev_cas(l,1),plev_prof_cas(l)
+      PRINT *,'apres 1ere interp: plev_cas, plev_prof_cas=',l,plev_cas(l,1),plev_prof_cas(l)
       enddo
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5160)
@@ -1349,6 +1349,6 @@
       ENDDO
     ENDDO
-    print *, 't_targ', t_targ
-    print *, 'rh_targ', rh_targ
+    PRINT *, 't_targ', t_targ
+    PRINT *, 'rh_targ', rh_targ
 
   END SUBROUTINE nudge_rht_init
@@ -1380,6 +1380,6 @@
       ENDDO
     ENDDO
-    print *, 'u_targ', u_targ
-    print *, 'v_targ', v_targ
+    PRINT *, 'u_targ', u_targ
+    PRINT *, 'v_targ', v_targ
 
     RETURN
@@ -1423,9 +1423,9 @@
     REAL zx_qs, rh, tnew, d_rh, rhnew
 
-    print *, 'dtime, tau ', dtime, tau
-    print *, 't_targ', t_targ
-    print *, 'rh_targ', rh_targ
-    print *, 'temp ', t
-    print *, 'hum ', q
+    PRINT *, 'dtime, tau ', dtime, tau
+    PRINT *, 't_targ', t_targ
+    PRINT *, 'rh_targ', rh_targ
+    PRINT *, 'temp ', t
+    PRINT *, 'hum ', q
 
     DO k = 1, klev
@@ -1459,5 +1459,5 @@
           rhnew = (q(i, k) + d_q(i, k) * dtime) / zx_qs
 
-          print *, ' k,d_t,rh,d_rh,rhnew,d_q ', &
+          PRINT *, ' k,d_t,rh,d_rh,rhnew,d_q ', &
                   k, d_t(i, k), rh, d_rh, rhnew, d_q(i, k)
         ENDIF
@@ -1501,9 +1501,9 @@
     INTEGER k, i
 
-    !print *,'dtime, tau ',dtime,tau
-    !print *, 'u_targ',u_targ
-    !print *, 'v_targ',v_targ
-    !print *,'zonal velocity ',u
-    !print *,'meridional velocity ',v
+    !PRINT *,'dtime, tau ',dtime,tau
+    !PRINT *, 'u_targ',u_targ
+    !PRINT *, 'v_targ',v_targ
+    !PRINT *,'zonal velocity ',u
+    !PRINT *,'meridional velocity ',v
     DO k = 1, klev
       DO i = 1, klon
@@ -1514,5 +1514,5 @@
         d_v(i, k) = d_v(i, k) + 1. / tau * (v_targ(i, k) - v(i, k))
 
-        !           print *,' k,u,d_u,v,d_v ',    &
+        !           PRINT *,' k,u,d_u,v,d_v ',    &
         !                     k,u(i,k),d_u(i,k),v(i,k),d_v(i,k)
         !           ENDIF
@@ -1584,8 +1584,8 @@
 
     !       do l = 1, llm
-    !       print *,'debut interp2, play=',l,play(l)
+    !       PRINT *,'debut interp2, play=',l,play(l)
     !       enddo
     !      do l = 1, nlev_cas
-    !      print *,'debut interp2, plev_prof_cas=',l,play(l),plev_prof_cas(l)
+    !      PRINT *,'debut interp2, plev_prof_cas=',l,play(l),plev_prof_cas(l)
     !      enddo
 
@@ -1594,5 +1594,5 @@
       IF (play(l)>=plev_prof_cas(nlev_cas)) THEN
         mxcalc = l
-        !        print *,'debut interp2, mxcalc=',mxcalc
+        !        PRINT *,'debut interp2, mxcalc=',mxcalc
         k1 = 0
         k2 = 0
@@ -1650,5 +1650,5 @@
           k1 = 1
           k2 = 2
-          print *, 'interp2_vert, k1,k2=', plev_prof_cas(k1), plev_prof_cas(k2)
+          PRINT *, 'interp2_vert, k1,k2=', plev_prof_cas(k1), plev_prof_cas(k2)
           frac1 = (play(l) - plev_prof_cas(k2)) / (plev_prof_cas(k1) - plev_prof_cas(k2))
           frac2 = (play(l) - plev_prof_cas(k1)) / (plev_prof_cas(k1) - plev_prof_cas(k2))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5160)
@@ -176,6 +176,6 @@
       IF (Turb_fcg) icomp1 = icomp1 + nblvlm * 2
       icompt = icomp1 * pas
-      print *, 'imp_fcg,ts_fcg,Turb_fcg,pas,nblvlm,icompt'
-      print *, imp_fcg, ts_fcg, Turb_fcg, pas, nblvlm, icompt
+      PRINT *, 'imp_fcg,ts_fcg,Turb_fcg,pas,nblvlm,icompt'
+      PRINT *, imp_fcg, ts_fcg, Turb_fcg, pas, nblvlm, icompt
       PRINT*, 'le pas pas est:', pas
       !*** on va chercher les nouveaux champs after dans toga.dat     ***
@@ -282,13 +282,13 @@
     endif ! temps.ge.pasmax
 
-    print *, ' time,timebef,timeaft', time, timebef, timeaft
-    print *, ' ht,htbef,htaft,hthturb,hthturbbef,hthturbaft'
+    PRINT *, ' time,timebef,timeaft', time, timebef, timeaft
+    PRINT *, ' ht,htbef,htaft,hthturb,hthturbbef,hthturbaft'
     DO j = 1, klev
-      print *, j, ht(j), htbef(j), htaft(j), &
+      PRINT *, j, ht(j), htbef(j), htaft(j), &
               &             hthturb(j), hthturbbef(j), hthturbaft(j)
     enddo
-    print *, ' hq,hqbef,hqaft,hqturb,hqturbbef,hqturbaft'
+    PRINT *, ' hq,hqbef,hqaft,hqturb,hqturbbef,hqturbaft'
     DO j = 1, klev
-      print *, j, hq(j), hqbef(j), hqaft(j), &
+      PRINT *, j, hq(j), hqbef(j), hqaft(j), &
               &             hqturb(j), hqturbbef(j), hqturbaft(j)
     enddo
@@ -363,6 +363,6 @@
             &, hu_mes, hv_mes, hthturb_mes, hqturb_mes              &
             &, ts_fcg, ts_subr, imp_fcg, Turb_fcg)
-    print *, 'get_uvd : rdgrads ->'
-    print *, tp_fcg
+    PRINT *, 'get_uvd : rdgrads ->'
+    PRINT *, tp_fcg
 
     ! following commented out because we have temperature already in ARM case
@@ -621,5 +621,5 @@
       icomp = icomp + 1
       read(itape, rec = icomp)z(k)
-      print *, 'icomp,k,z(k) ', icomp, k, z(k)
+      PRINT *, 'icomp,k,z(k) ', icomp, k, z(k)
     enddo
     DO k = 1, nl
@@ -643,5 +643,5 @@
       enddo
     endif
-    print *, ' apres lecture hthtur, hqtur'
+    PRINT *, ' apres lecture hthtur, hqtur'
 
     IF(imp_fcg) THEN
@@ -667,5 +667,5 @@
     endif
 
-    print *, ' rdgrads ->'
+    PRINT *, ' rdgrads ->'
 
     RETURN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5160)
@@ -520,5 +520,5 @@
       fnday = -nday / float(day_step)
     endif
-    print *, 'fnday=', fnday
+    PRINT *, 'fnday=', fnday
     !     start_time doit etre en FRACTION DE JOUR
     start_time = time_ini / 24.
@@ -600,5 +600,5 @@
     ! Print out the actual date of the beginning of the simulation :
     CALL ju2ymds(daytime, year_print, month_print, day_print, sec_print)
-    print *, ' Time of beginning : ', &
+    PRINT *, ' Time of beginning : ', &
             year_print, month_print, day_print, sec_print
 
@@ -664,5 +664,5 @@
       fsens = -wtsurf * rcpd * rho(1)
       flat = -wqsurf * rlvtt * rho(1)
-      print *, 'Flux: ok_flux wtsurf wqsurf', ok_flux_surf, wtsurf, wqsurf
+      PRINT *, 'Flux: ok_flux wtsurf wqsurf', ok_flux_surf, wtsurf, wqsurf
     ENDIF
     PRINT*, 'Flux sol ', fsens, flat
@@ -679,5 +679,5 @@
     IF (ok_old_disvert) THEN
       CALL disvert0(pa, preff, ap, bp, dpres, presnivs, nivsigs, nivsig)
-      print *, 'On utilise disvert0'
+      PRINT *, 'On utilise disvert0'
       aps(1:llm) = 0.5 * (ap(1:llm) + ap(2:llm + 1))
       bps(1:llm) = 0.5 * (bp(1:llm) + bp(2:llm + 1))
@@ -686,5 +686,5 @@
     ELSE
       CALL disvert()
-      print *, 'On utilise disvert'
+      PRINT *, 'On utilise disvert'
       !       Nouvelle version disvert permettant d imposer ap,bp (modif L.Guez) MPL 18092012
       !       Dans ce cas, on lit ap,bp dans le fichier hybrid.txt
@@ -703,5 +703,5 @@
         IF (trouve_700 .AND. play(l)<=70000) THEN
           llm700 = l
-          print *, 'llm700,play=', llm700, play(l) / 100.
+          PRINT *, 'llm700,play=', llm700, play(l) / 100.
           trouve_700 = .FALSE.
         endif
@@ -791,5 +791,5 @@
                 fder = 0.
                 snsrf(1, :) = snowmass ! masse de neige des sous surface
-        print *, 'snsrf', snsrf
+        PRINT *, 'snsrf', snsrf
         qsurfsrf(1, :) = qsurf ! humidite de l'air des sous surface
         fevap = 0.
@@ -997,5 +997,5 @@
         ! Print out the actual date of the beginning of the simulation :
         CALL ju2ymds(daytime, an, mois, jour, heure)
-                print *, ' Time of beginning : y m d h', an, mois, jour, heure / 3600.
+                PRINT *, ' Time of beginning : y m d h', an, mois, jour, heure / 3600.
 
                 day = int(daytime)
@@ -1082,5 +1082,5 @@
                 !---------------------------------------------------------------------
                 IF (prt_level>=1) THEN
-                print *, ' avant physiq : -------- day time ', day, time
+                PRINT *, ' avant physiq : -------- day time ', day, time
                 WRITE(*, *) 'firstcall,lastcall,phis', &
                 firstcall, lastcall, phis
@@ -1174,5 +1174,5 @@
                 fcoriolis, xlat, mxcalc
 
-                !       print *,'u-ug=',u-ug
+                !       PRINT *,'u-ug=',u-ug
 
                 !!!!!!!!!!!!!!!!!!!!!!!!
@@ -1184,5 +1184,5 @@
                 sfdt = sin(0.5 * fcoriolis * timestep)
                 cfdt = cos(0.5 * fcoriolis * timestep)
-        !       print *,'fcoriolis,sfdt,cfdt,timestep',fcoriolis,sfdt,cfdt,timestep
+        !       PRINT *,'fcoriolis,sfdt,cfdt,timestep',fcoriolis,sfdt,cfdt,timestep
 
         du_age(1:mxcalc) = -2. * sfdt / timestep * &
@@ -1265,5 +1265,5 @@
 
                 IF (prt_level>=3) THEN
-                print *, &
+                PRINT *, &
                 'physiq-> temp(1),dt_phys(1),d_t_adv(1),dt_cooling(1) ', &
                 temp(1), dt_phys(1), d_t_adv(1), dt_cooling(1)
